### Enumeration

# Gtk SvgFeatures

since: 4.22

#### Declaration

    flags Gtk.SvgFeatures

#### Description [src]

Features of the SVG renderer that can be enabled or disabled.

By default, all features except `GTK_SVG_TRADITIONAL_SYMBOLIC` are enabled.

New values may be added in the future.

Available since: 4.22

#### Members

`GTK_SVG_ANIMATIONS`

  Whether to run animations. If disabled, state changes are applied without transitions.

  - Value: `1`
  - Available since: 4.22
`GTK_SVG_SYSTEM_RESOURCES`

  Whether to use system resources, such as fonts. If disabled, only embedded fonts are used.

  - Value: `2`
  - Available since: 4.22
`GTK_SVG_EXTERNAL_RESOURCES`

  Whether to load external resources, such as images. If disabled, only embedded images are loaded.

  - Value: `4`
  - Available since: 4.22
`GTK_SVG_EXTENSIONS`

  Whether to allow gpa extensions, such as states and transitions.

  - Value: `8`
  - Available since: 4.22
`GTK_SVG_TRADITIONAL_SYMBOLIC`

  This feature is meant for compatibility with old symbolic icons. If this is enabled, fill and stroke attributes are ignored. The used colors are derived from symbolic style classes if present, and the default fill color is the symbolic foreground color.

  - Value: `16`
  - Available since: 4.22